---
 - hosts: all
   become: true
   become_method: sudo
   become_user: root
   gather_facts: no
   vars_prompt:

    - name: username
      prompt: "What is your username you want to delete?"
      private: no

   gather_facts: no
   remote_user: ansibleuser

   tasks:
   - name: Deleting the  user called {{ username }}
     user:
       name: "{{ username }}"
       state: absent
       #remove: yes
